Crypto-4.2.5.1: Collects together existing Haskell cryptographic functions into a package

Portability | portable
Stability | experimental
Maintainer | dominic.steinitz@blueyonder.co.uk
Safe Haskell | Safe-Inferred

Data.Digest.SHA1

Description

Take [Word8] and return Word160. See http://www.itl.nist.gov/fipspubs/fip180-1.htm for the specification.

# Documentation

data Word160

Constructors

Word160 !Word32 !Word32 !Word32 !Word32 !Word32 |

Instances

Eq Word160 |
Show Word160 |

hash :: [Word8] -> Word160

lift2 :: (Word32 -> Word32 -> Word32) -> Word160 -> Word160 -> Word160

toInteger :: Word160 -> Integer